# Minecraft

## Connect your Minecraft Server

### 1. Add Your Game Server

1. Navigate to the [**My Servers**](https://tip4serv.com/dashboard/my-servers) section of your Tip4Serv dashboard.
2. Click on **Connect a Game Server**, and choose Minecraft.
3. Enter your **server name.**

***

### 2. Choose Player Identification Method and click Add

Depending on whether your server is online or offline mode:

* **Online mode** (recommended): Select **Check UUID**
* **Offline mode**: Select **Username**

> ⚠️ Using UUID ensures more reliable player identification across name changes.

***

### 3. Download & Configure the Plugin

Tip4Serv supports the following Minecraft server types:

* Spigot
* Bukkit
* Paper
* Forge
* Fabric
* Velocity
* Bungeecord

***

### 4. Set Up the Plugin

1. Copy the **API key** provided in your server configuration panel.
2. Paste the API key into Tip4Serv plugin configuration file: `tip4serv/tip4serv.key`
3. Save the file.

***

### 5. Connect the Plugin to Tip4Serv

To **connect your Minecraft server to the Tip4Serv** store, once the plugin is installed and configured and your tip4serv.key is filled in, run the following command in your server console:

```
tip4serv connect
```

To reload the config.json file and **execute the pending commands**, run the following command:

```
tip4serv reload
```

For **Velocity** and **Bungeecord**, the command is `tip4proxy` to avoid conflicts:

```
tip4proxy connect
tip4proxy reload
```

***

### ✅ You're All Set!

Your server is now ready to receive donations via Tip4Serv. Players will be automatically recognized and rewarded based on your configuration.

***

### Configure commands to be executed after purchase

Next, you’ll need to configure the console commands that the Tip4Serv plugin should execute after each successful purchase.

This is done directly through the [**Command Editor**](/store-setup/server-commands.md) in your Tip4Serv dashboard, under each product.

You’ll find some examples below, but feel free to use any standard Minecraft commands or commands from plugins you’ve installed on your server.

#### 📣 Broadcast

Send a public thank-you message in the server chat.

```bash
say Thank you {minecraft_username} for your {total_paid} {currency} donation
```

***

#### 🎁 Give Rank

Give a rank to the player ([LuckPerms ](https://www.spigotmc.org/resources/luckperms.28140/)example)

```bash
lp user {minecraft_uuid} parent add vip
```

***

#### 🧱 Give Item

**Give 5 apples to the player**

```bash
give {minecraft_username} enchanted_golden_apple 5
```

***

#### 💰 Give Money

Give 5000 money to the player account ([EssentialsX ](https://essentialsx.net/)example).

```bash
eco give {minecraft_uuid} 5000
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tip4serv.com/games/minecraft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
